# Generated by the protocol buffer compiler.  DO NOT EDIT!
# Source: spamcheck.proto for package 'spamcheck'

require 'grpc'
require 'spamcheck_pb'

module Spamcheck
  module SpamcheckService
    class Service

      include GRPC::GenericService

      self.marshal_class_method = :encode
      self.unmarshal_class_method = :decode
      self.service_name = 'spamcheck.SpamcheckService'

      rpc :CheckForSpamIssue, ::Spamcheck::Issue, ::Spamcheck::SpamVerdict
      rpc :CheckForSpamSnippet, ::Spamcheck::Snippet, ::Spamcheck::SpamVerdict
    end

    Stub = Service.rpc_stub_class
  end
end
